#!/bin/perl

################################################################################
# PAD Archiv Demo
# Copyright (c) 2000-2004 by GRAHL software design
#
# http://www.DeuPAD.org
#
# Freeware, Verwendung auf eigene Gefahr.
# Verffentlichung oder Weitergabe nur mit Zustimmung des Autors.
################################################################################
#
# anzeigen.pl
#
# Zweck:
#  Anzeigen der, in der Datenbank gespeicherten Programme
# Funktionsweise:
#  - Liest die Datenbank ein
#  - Gibt alle Programm aus der Datenbank in einer Tabelle aus
#
################################################################################

use lib $ENV{'DOCUMENT_ROOT'} . '/cgi-bin/padarc';  # Siehe readme.txt !!

use Program;
use Database;


# HTML Kopf ausgeben
print "Content-type: text/html\n\n";

print qq!
<html>

<head>
<title>PAD Archiv Demo - Alle Programme</title>
</head>

<body><h1>PAD Archiv Demo</h1>
<p><b>Alle Programme</b> - <a href="anmelden.pl">Programm anmelden</a> - <a href="spidern.pl">Spidern</a></p>
<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>
    <th nowrap align="left">Programmname</th>
    <th nowrap align="left">Version</th>
    <th nowrap align="left">Beschreibung</th>
    <th nowrap align="left">Kategorie</th>
  </tr>
!;

# Erzeuge Database Objekt und lese Database ein
my $Database = Database->new();
$Database->readData();

# Schreibe fuer jedes Programm aus Database eine Tabellenzeile
foreach my $Program (@{$Database->programs()}) {
  print "<tr>\n";
  print " <td>" . $Program->name() . "</td>\n";
  print " <td>" . $Program->version() . "</td>\n";
  print " <td>" . $Program->description() . "</td>\n";
  print " <td>" . $Program->category() . "</td>\n";
  print "</tr>\n";
}


# HTML Fuss ausgeben
print qq!
</table>
</body>

</html>
!;
